Error when opening client.bat

One Star

Error when opening client.bat

Hi,
We have installed a second runtime in local dedicated to the development and when we launch the client.bat the folowing error appear:
 Terminal initialization failed; falling back to unsupported
java.lang.NoClassDefFoundError: Could not initialize class org.fusesource.jansi.
internal.Kernel32
        at org.fusesource.jansi.internal.WindowsSupport.getConsoleMode(WindowsSu
pport.java:50)
        at jline.WindowsTerminal.getConsoleMode(WindowsTerminal.java:177)
        at jline.WindowsTerminal.init(WindowsTerminal.java:80)
        at jline.TerminalFactory.create(TerminalFactory.java:101)
        at org.apache.karaf.shell.console.jline.TerminalFactory.init(TerminalFac
tory.java:37)
        at org.apache.karaf.shell.console.jline.TerminalFactory.getTerminal(Term
inalFactory.java:30)
        at org.apache.karaf.client.Main.main(Main.java:171)

We use java version "1.7.0_45":
Java(TM) SE Runtime Environment (build 1.7.0_45-b18)
Java HotSpot(TM) 64-Bit Server VM (build 24.45-b08, mixed mode)

I tried to change the setting by adding -h 127.0.0.1 on client.bat but that doesn't work
Community Manager

Re: Error when opening client.bat

Hi
To launch runtime, click on trun.bat. Note that you have to change the ports of the second runtime if you want to launch several runtimes on the same machine.
Best regards
Shong
----------------------------------------------------------
Talend | Data Agility for Modern Business
One Star

Re: Error when opening client.bat

Hi,
I use service on windows server. I don't use trun.bat
We have already change the ports of the second runtime:
Employee

Re: Error when opening client.bat

Hi,
This kind of problem possible related to special OS system, I saw you are using Windows Server 2008? withoud any SP? could you try on other Windows OS platform?
BTW, which talend ESB product version you are using?
HTH
Xilai
One Star

Re: Error when opening client.bat

Hi,
It's not a special OS at all. It's a windows server 2008 R2 SP1. I'm using Talend ESB 5.4.1